:root {
  --bg-gradient: linear-gradient(135deg, #ff9a9e, #fecfef, #ffc3a0);
  --card-bg: rgba(255,255,255,0.25);
  --text-color: #fff;
}

body.dark {
  --bg-gradient: linear-gradient(135deg, #2c003e, #3a0ca3, #7209b7);
  --card-bg: rgba(0,0,0,0.4);
  --text-color: #fff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  background: var(--bg-gradient);
  color: var(--text-color);
  overflow-x: hidden;
  transition: 0.5s;
}

/* NAV */
nav {
  display: flex;
  justify-content: space-between;
  padding: 20px 40px;
  font-size: 24px;
  backdrop-filter: blur(10px);
}

/* HERO */
.hero {
  text-align: center;
  padding: 100px 20px;
}

.hero h2 {
  font-size: 48px;
  margin-bottom: 20px;
}

.hero p {
  display: flex;
  justify-content: center;
  align-items: center;

  background-color: #d00ee6;
  color: white;

  height: 40px;
  width: 445px;
  margin-left: 515px;
  text-align: center;

  border-radius: 20px;
  margin-bottom: 3%;
  margin-top: 3%;
  font-family:Verdana, Geneva, Tahoma, sans-serif;
}


button {
  padding: 12px 25px;
  border-radius: 30px;
  border: none;
  cursor: pointer;
  background: #ff1493;
  color: white;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  transition: 0.3s;
}

button:hover {
  transform: scale(1.1);
}

/* FACT CARD */
.fact-section {
  padding: 60px 20px;
  display: flex;
  justify-content: center;
}

.fact-card {
  max-width: 600px;
  padding: 25px;
  background: var(--card-bg);
  backdrop-filter: blur(15px);
  border-radius: 25px;
  animation: pop 0.6s ease forwards;
}

.fact-card img {
  width: 100%;
  border-radius: 20px;
  margin-bottom: 15px;
}

.card-buttons {
  margin-top: 15px;
  display: flex;
  gap: 10px;
  justify-content: center;
}

.hidden {
  display: none;
}

/* SAVED FACTS */
.history-section {
  padding: 80px 20px;
  text-align: center;
}

.saved-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  margin-top: 30px;
}

.saved-card {
  background: var(--card-bg);
  padding: 15px;
  border-radius: 15px;
}

/* FLOATING PAWS */
.paws span {
  position: fixed;
  font-size: 30px;
  opacity: 0.3;
  animation: float 12s linear infinite;
}

.paws span:nth-child(1){ left: 5%; animation-delay:0s;}
.paws span:nth-child(2){ left: 25%; animation-delay:3s;}
.paws span:nth-child(3){ left: 50%; animation-delay:6s;}
.paws span:nth-child(4){ left: 75%; animation-delay:9s;}
.paws span:nth-child(5){ left: 90%; animation-delay:12s;}

@keyframes float {
  from { top:100%; }
  to { top:-10%; }
}

@keyframes pop {
  from { opacity:0; transform:scale(0.8);}
  to { opacity:1; transform:scale(1);}
}

footer {
  text-align: center;
  padding: 40px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}